Jump to content

Welcome to Geeks to Go - Register now for FREE

Geeks To Go is a helpful hub, where thousands of volunteer geeks quickly serve friendly answers and support. Check out the forums and get free advice from the experts. Register now to gain access to all of our features, it's FREE and only takes one minute. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more.

Create Account How it Works

Reinstall iTunes to get newer version of Quicktime

  • Please log in to reply



    New Member

  • Member
  • Pip
  • 1 posts
I am trying to get using my iPod shuffle working again since I agreed to download a later version of Quicktime(QT). Upon doing that I am now receiving the message that a newer version of Quicktime is required to open iTunes. The message also says that QT version 7.0d0 is installed, iTunes requires QT version 7.0.3 or later and to please install iTunes. I have reinstalled iTunes several times and continue to get this message. (I have also removed all iPod and iTunes software and started from scratch.) Really just don't know where to go now. Hope there's help out there...I'm really iLost! :tazz:
  • 0





  • Member
  • PipPipPip
  • 377 posts
I don't have itunes so I am not sure if this will work but I am sure it won't damage anything.

Remove all trace of quicktime and itunes

Download quicktime manually from here

Click here

then install it.

Install your itunes stuff after quicktime.

If the above doesn't work delete both of them again and try reversing the process.

let me know how you go
  • 0

Similar Topics

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

As Featured On:

Microsoft Yahoo BBC MSN PC Magazine Washington Post HP